Subject: Re: bug#13887: 24.3; doc-view will render blurry images when image-magick is available

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Mar 2013 18:50:45 +0200

> From: Tassilo Horn <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Stefan Monnier <[email-masked]>,  [email-masked]
> Date: Tue, 12 Mar 2013 09:09:54 +0100
> 
> Yesterday, when things were messed up, I know that
> `image-mode-winprops-alist' looked like that:
> 
> --8<---------------cut here---------------start------------->8---
> ((#<window 0x846c030 on IncPat.pdf>
> 	   ...)
>  (t
>   (page . 1)
>   (overlay . #<overlay from 1 to 756769 in IncPat.pdf>)))
> --8<---------------cut here---------------end--------------->8---
> 
> That is, the t-entry had an overlay that hasn't been deleted.  I don't
> know how I could reach that state (I just quickly switched pages,
> zoomed, sliced, split window), but that seems wrong and might be the
> culprit because some other window in might already use that.

So is there still some issue with handling overlays or with display in
general?

You see, I chimed in because you seemed to indicate there's some
problems with how overlays are handled in this context.  But now it
sounds like the problem is some fragile logic in doc-view.el proper,
right?